%define name guide-fde_f-primaire
%define version 0.1
%define release 1mdk

%define abstract Fiches de l'école - Français
%define guideid  FdE_F
%define title Fiches de l'école - Français

Name:            %name
Summary:         %abstract
Version:         %version
Release:         %release
License:         GPL
Group:           Education
URL:             http://www.ruedesecoles.com/EduPack
Buildarch:       noarch
BuildRoot:       %{_tmppath}/%{name}-buildroot
Requires:        guide

%description
Guide-Fde_F primaire metapackage. Installe l'application Fiches de 
l'école - Français ainsi que les menus simplifies pour la section 
primaire.

%prep

%install

mkdir -p $RPM_BUILD_ROOT%_menudir/simplified

cat > %buildroot/%_menudir/simplified/%{name}-CP << EOF
?package(%name): command="%_bindir/guide --skin Pri --option 11_g %guideid" \
needs="X11" icon="guide-fde_f.png" section="Packs educatifs libres/Ecole primaire/Ressources CP/Français" \
title="%{title}-CP" longtitle="%abstract"
EOF
cat >> %buildroot/%_menudir/simplified/%{name}-CE1 << EOF
?package(%name): command="%_bindir/guide --skin Pri --option 10_g %guideid" \
needs="X11" icon="guide-fde_f.png" section="Packs educatifs libres/Ecole primaire/Ressources CE1/Français" \
title="%{title}-CE1" longtitle="%abstract"
EOF
cat >> %buildroot/%_menudir/simplified/%{name}-CE2 << EOF
?package(%name): command="%_bindir/guide --skin Pri --option 9_g %guideid" \
needs="X11" icon="guide-fde_f.png" section="Packs educatifs libres/Ecole primaire/Ressources CE2/Français" \
title="%{title}-CE2" longtitle="%abstract"
EOF
cat >> %buildroot/%_menudir/simplified/%{name}-CM1 << EOF
?package(%name): command="%_bindir/guide --skin Pri --option 8_g %guideid" \
needs="X11" icon="guide-fde_f.png" section="Packs educatifs libres/Ecole primaire/Ressources CM1/Français" \
title="%{title}-CM1" longtitle="%abstract"
EOF
cat >> %buildroot/%_menudir/simplified/%{name}-CM2 << EOF
?package(%name): command="%_bindir/guide --skin Pri --option 7_g %guideid" \
needs="X11" icon="guide-fde_f.png" section="Packs educatifs libres/Ecole primaire/Ressources CM2/Français" \
title="%{title}-CM2" longtitle="%abstract"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_menudir/simplified/*

%changelog
* Wed Mar 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- new
